Recent

Author Topic: Fpcupdeluxe  (Read 382474 times)

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1170
Re: Fpcupdeluxe
« Reply #480 on: April 30, 2017, 09:51:24 am »
@CaptBill

Using the temp directory this way must work.
So, I think there is some other (yet unknown) error involved.

I have uploaded a new release (1.2.0q), that uses another (native) unpacker on Windows.
Please try this new version.


CaptBill

  • Sr. Member
  • ****
  • Posts: 435
Re: Fpcupdeluxe
« Reply #482 on: April 30, 2017, 10:50:44 pm »
I have uploaded a new release (1.2.0q), that uses another (native) unpacker on Windows.
Please try this new version.

Having the same issue. It is probably due to the fact that I only have about 1gb left on my C drive. Could that be it?

Regards

molly

  • Hero Member
  • *****
  • Posts: 2345
Re: Fpcupdeluxe
« Reply #483 on: April 30, 2017, 11:09:33 pm »
Having the same issue. It is probably due to the fact that I only have about 1gb left on my C drive. Could that be it?
Oh dear. Yes, 1gb is usually not enough and what's worse many many rewrites when checking out sources and compiling them for different targets.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1170
Re: Fpcupdeluxe
« Reply #484 on: May 01, 2017, 07:28:56 am »
Indeed, you need more than 1GB !
All sources are there, including the hidden svn repositories.
And sometimes also the sources for an intermediate compiler.

However, you can limit the disk-use.

In setup+, there is a checkbox: Get FPC/Laz repositories.

For non-changing targets, like stable and older releases, you can disable the repo. In that case, only the sources are downloaded.
For moving targets like fixes and trunk (-alikes), you definitely need the repos.

CaptBill

  • Sr. Member
  • ****
  • Posts: 435
Re: Fpcupdeluxe
« Reply #485 on: May 01, 2017, 08:28:30 am »
I cleared up 3.5gb and still have the same result. Here is more of the error output. Also tried suggestion to uncheck the GetRepos checkbox. Still same result.

Regards

Code: Pascal  [Select]
  1. Executing : G:\fpcupdeluxe\fpcbootstrap\unzip.exe "-o" "-d" "C:\Users\bill\AppData\Local\Temp\" "C:\Users\bill\AppData\Local\Temp\TMP00012.tmp" (working dir: )
  2. Archive:  C:/Users/bill/AppData/Local/Temp/TMP00012.tmp
  3.   End-of-central-directory signature not found.  Either this file is not
  4.   a zipfile, or it constitutes one disk of a multi-part archive.  In the
  5.   latter case the central directory and zipfile comment will be found on
  6.   the last disk(s) of this archive.
  7. unzip:  cannot find zipfile directory in C:/Users/bill/AppData/Local/Temp/TMP00012.tmp,
  8.         and cannot find C:/Users/bill/AppData/Local/Temp/TMP00012.tmp.zip, period.
  9. fpcupdeluxe: ERROR: Received non-zero exit code extracting bootstrap compiler. This will abort further processing.
  10. fpcupdeluxe: ERROR: Error getting/extracting bootstrap compiler. Archive: C:\Users\bill\AppData\Local\Temp\TMP00012.tmp

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1170
Re: Fpcupdeluxe
« Reply #486 on: May 01, 2017, 08:42:12 am »
@CaptBill
Ok. Please give me more details, so I am able to reproduce.
What version of FPC and Lazarus are you trying to install ?
What version and type of fpcupdeluxe you are using ?

CaptBill

  • Sr. Member
  • ****
  • Posts: 435
Re: Fpcupdeluxe
« Reply #487 on: May 01, 2017, 08:51:32 am »
@CaptBill
Ok. Please give me more details, so I am able to reproduce.
What version of FPC and Lazarus are you trying to install ?
What version and type of fpcupdeluxe you are using ?

Ahh yes, Windows 7-64. FPC 3.0.2 and Laz 1.6.4 with the fpcupdelux 1.2.0q branch.

Regards
« Last Edit: May 01, 2017, 08:57:05 am by CaptBill »

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1170
Re: Fpcupdeluxe
« Reply #488 on: May 01, 2017, 08:55:33 am »
Fpcupversion 1.2.0o,1.2.0p,1.2.0q ?
Fpcupversion for win32, win64 ?
Lazarus 1.6.2, 1.6.4, stable, fixes, trunk ?
FPC 3.0.0, 3.0.2, stable, fixes, trunk ?

CaptBill

  • Sr. Member
  • ****
  • Posts: 435
Re: Fpcupdeluxe
« Reply #489 on: May 01, 2017, 09:01:11 am »
Fpcupversion 1.2.0o,1.2.0p,1.2.0q ?
Fpcupversion for win32, win64 ?
Lazarus 1.6.2, 1.6.4, stable, fixes, trunk ?
FPC 3.0.0, 3.0.2, stable, fixes, trunk ?

I was just editing my last post to include all specs. Sorry! Take a look at it.

xaver13

  • Full Member
  • ***
  • Posts: 102
Re: Fpcupdeluxe
« Reply #490 on: May 01, 2017, 10:51:38 am »
On Mac OS .. see attachment please.
(I also tried cocoa version with similar result)

Please, what I am doing wrong? Thank you very much for help.
--
Jiri Cvrk

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1170
Re: Fpcupdeluxe
« Reply #491 on: May 01, 2017, 11:04:24 am »

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1170
Re: Fpcupdeluxe
« Reply #492 on: May 01, 2017, 12:44:25 pm »
@CaptBill
I just tried your setup on my (win10) PC.
Ended successfull for both 32bit as well as 64bit.
So, unfortunately, I cannot reproduce.

However, something peculiar still remains:
Quote
Executing : G:\fpcupdeluxe\fpcbootstrap\unzip.exe "-o" "-d" "C:\Users\bill\AppData\Local\Temp\" "C:\Users\bill\AppData\Local\Temp\TMP00012.tmp" (working dir: )
This should not happen with the 1.2.0q version !
This version uses a native pascal unzipper, and not an external unzipper.
Are you sure about the fpcupdeluxe version you use ?

josh

  • Hero Member
  • *****
  • Posts: 754
Re: Fpcupdeluxe
« Reply #493 on: May 01, 2017, 01:58:55 pm »
@xaver13

If you apply changes to the following, links to replies in this topic.
http://forum.lazarus.freepascal.org/index.php/topic,34645.msg241256.html#msg241256

Then Use the Setup++ to only build /laz/fpc, you should be ready to go.
http://forum.lazarus.freepascal.org/index.php/topic,34645.msg241259.html#msg241259
Development Installation Lazarus 1.3, FPC 2.7.1,Windows 7/8 32/64, OSX, *nix

Test Environment Lazarus & FPC Trunk on Windows and OSX (Cocoa Mainly on OSX). Testing also Crosscompile windows to OSX.. 
Any posts made from 2015 will be based on Lazarus Trunk.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1170
Re: Fpcupdeluxe
« Reply #494 on: May 03, 2017, 07:56:56 am »
Added a patch to make trunk compile on Darwin.
https://github.com/newpascal/fpcupdeluxe/tree/master/patchlazarus

Download this patch and point fpcupdeluxe towards it in setup+ !